Bug 613965 - SELinux is preventing /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010 from loading /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010 Libs/libRBTypeLibraryReader.so.6 which requires text relocation.
SELinux is preventing /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010 f...
Status: CLOSED DUPLICATE of bug 613964
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:dba8ecb90e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 07:43 EDT by Slobodan
Modified: 2010-07-13 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 08:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Slobodan 2010-07-13 07:43:18 EDT
Summary:

SELinux is preventing /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010 from
loading /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6 which requires text relocation.

Detailed Description:

The 5245414C2053747564696F20323031 application attempted to load
/opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6 which requires text relocation. This is a
potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6 to use relocation as a workaround, until the
library is fixed. Please file a bug report.

Allowing Access:

If you trust /opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6 to run correctly, you can change the file
context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6'" You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t
'/opt/REALSoftware/REALStudio2010r2.1/REAL.Studio.2010.Libs/libRBTypeLibraryReader.so.6'"

Fix Command:

chcon -t textrel_shlib_t '/opt/REALSoftware/REALStudio2010r2.1/REAL Studio 2010
Libs/libRBTypeLibraryReader.so.6'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:usr_t:s0
Target Objects                /opt/REALSoftware/REALStudio2010r2.1/REAL Studio
                              2010 Libs/libRBTypeLibraryReader.so.6 [ file ]
Source                        5245414C2053747564696F20323031
Source Path                   /opt/REALSoftware/REALStudio2010r2.1/REAL Studio
                              2010
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           REALStudio-2010-2.1
Target RPM Packages           REALStudio-2010-2.1
Policy RPM                    selinux-policy-3.7.19-28.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-124.fc13.i686
                              #1 SMP Fri Jun 11 09:48:40 UTC 2010 i686 i686
Alert Count                   12
First Seen                    Thu 08 Jul 2010 12:33:27 PM CEST
Last Seen                     Wed 04 Aug 2010 02:36:32 PM CEST
Local ID                      d7e4de3c-4274-4651-8e9a-ef8db4529f21
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278585207.222:26847): avc:  denied  { execmod } for  pid=2902 comm=5245414C2053747564696F20323031 path=2F6F70742F5245414C536F6674776172652F5245414C53747564696F3230313072322E312F5245414C2053747564696F2032303130204C6962732F6C69625242547970654C6962726172795265616465722E736F2E36 dev=sda1 ino=262367 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278585207.222:26847): arch=40000003 syscall=125 success=no exit=-13 a0=1e5000 a1=1b000 a2=5 a3=bfcfa8e0 items=0 ppid=1 pid=2902 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm=5245414C2053747564696F20323031 exe=2F6F70742F5245414C536F6674776172652F5245414C53747564696F3230313072322E312F5245414C2053747564696F2032303130 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,5245414C2053747564696F20323031,unconfined_t,usr_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t usr_t:file execmod;
Comment 1 Daniel Walsh 2010-07-13 08:29:58 EDT

*** This bug has been marked as a duplicate of bug 613964 ***

Note You need to log in before you can comment on or make changes to this bug.